Package org.eclipse.jgit.diff

## Class ContentSource.Pair

- java.lang.Object
- - org.eclipse.jgit.diff.ContentSource.Pair

Enclosing class:
  ContentSource

    public static final class ContentSource.Pair
    extends Object

A pair of sources to access the old and new sides of a DiffEntry.

### Constructor Summary

Constructors
`Pair​(ContentSource oldSource, ContentSource newSource)` Construct a pair of sources.

### Method Summary

All Methods Instance Methods Concrete Methods
`ObjectLoader` `open​(DiffEntry.Side side, DiffEntry ent)` Open the object.
`long` `size​(DiffEntry.Side side, DiffEntry ent)` Determine the size of the object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Pair

    public Pair​(ContentSource oldSource,
                ContentSource newSource)

Construct a pair of sources.

Parameters:
  `oldSource` - source to read the old side of a DiffEntry.
  `newSource` - source to read the new side of a DiffEntry.

### Method Detail

#### size

    public long size​(DiffEntry.Side side,
                     DiffEntry ent)
              throws IOException

Determine the size of the object.

Parameters:
  `side` - which side of the entry to read (OLD or NEW).
  `ent` - the entry to examine.
Returns:
  the size in bytes.
Throws:
  `IOException` - the file cannot be accessed.

#### open

    public ObjectLoader open​(DiffEntry.Side side,
                             DiffEntry ent)
                      throws IOException

Open the object.

Parameters:
  `side` - which side of the entry to read (OLD or NEW).
  `ent` - the entry to examine.
Returns:
  a loader that can supply the content of the file. The loader must be used before another loader can be obtained from this same source.
Throws:
  `IOException` - the file cannot be accessed.